Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface QueryFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  QueryFactoryImpl

    public interface QueryFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `QueryPackage`

Field Summary
`static QueryFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`AdhocQueryRequestType` | `createAdhocQueryRequestType()` Returns a new object of class 'Adhoc Query Request Type'.
`AdhocQueryResponseType` | `createAdhocQueryResponseType()` Returns a new object of class 'Adhoc Query Response Type'.
`AssociationBranchType` | `createAssociationBranchType()` Returns a new object of class 'Association Branch Type'.
`AssociationQueryResultType` | `createAssociationQueryResultType()` Returns a new object of class 'Association Query Result Type'.
`AssociationQueryType` | `createAssociationQueryType()` Returns a new object of class 'Association Query Type'.
`AuditableEventQueryResultType` | `createAuditableEventQueryResultType()` Returns a new object of class 'Auditable Event Query Result Type'.
`AuditableEventQueryType` | `createAuditableEventQueryType()` Returns a new object of class 'Auditable Event Query Type'.
`BooleanClauseType` | `createBooleanClauseType()` Returns a new object of class 'Boolean Clause Type'.
`ClassificationNodeQueryResultType` | `createClassificationNodeQueryResultType()` Returns a new object of class 'Classification Node Query Result Type'.
`ClassificationNodeQueryType` | `createClassificationNodeQueryType()` Returns a new object of class 'Classification Node Query Type'.
`ClassificationQueryResultType` | `createClassificationQueryResultType()` Returns a new object of class 'Classification Query Result Type'.
`ClassificationQueryType` | `createClassificationQueryType()` Returns a new object of class 'Classification Query Type'.
`ClassificationSchemeQueryResultType` | `createClassificationSchemeQueryResultType()` Returns a new object of class 'Classification Scheme Query Result Type'.
`ClassificationSchemeQueryType` | `createClassificationSchemeQueryType()` Returns a new object of class 'Classification Scheme Query Type'.
`ClassifiedByBranchType` | `createClassifiedByBranchType()` Returns a new object of class 'Classified By Branch Type'.
`ClauseType` | `createClauseType()` Returns a new object of class 'Clause Type'.
`CompoundClauseType` | `createCompoundClauseType()` Returns a new object of class 'Compound Clause Type'.
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'.
`ExtrinsicObjectQueryResultType` | `createExtrinsicObjectQueryResultType()` Returns a new object of class 'Extrinsic Object Query Result Type'.
`ExtrinsicObjectQueryType` | `createExtrinsicObjectQueryType()` Returns a new object of class 'Extrinsic Object Query Type'.
`FilterQueryResultType` | `createFilterQueryResultType()` Returns a new object of class 'Filter Query Result Type'.
`FilterQueryType` | `createFilterQueryType()` Returns a new object of class 'Filter Query Type'.
`FilterType` | `createFilterType()` Returns a new object of class 'Filter Type'.
`GetContentRequestType` | `createGetContentRequestType()` Returns a new object of class 'Get Content Request Type'.
`GetContentResponseType` | `createGetContentResponseType()` Returns a new object of class 'Get Content Response Type'.
`InternationalStringBranchType` | `createInternationalStringBranchType()` Returns a new object of class 'International String Branch Type'.
`OrganizationQueryResultType` | `createOrganizationQueryResultType()` Returns a new object of class 'Organization Query Result Type'.
`OrganizationQueryType` | `createOrganizationQueryType()` Returns a new object of class 'Organization Query Type'.
`RationalClauseType` | `createRationalClauseType()` Returns a new object of class 'Rational Clause Type'.
`RegistryEntryQueryResultType` | `createRegistryEntryQueryResultType()` Returns a new object of class 'Registry Entry Query Result Type'.
`RegistryEntryQueryType` | `createRegistryEntryQueryType()` Returns a new object of class 'Registry Entry Query Type'.
`RegistryObjectQueryType` | `createRegistryObjectQueryType()` Returns a new object of class 'Registry Object Query Type'.
`RegistryPackageQueryResultType` | `createRegistryPackageQueryResultType()` Returns a new object of class 'Registry Package Query Result Type'.
`RegistryPackageQueryType` | `createRegistryPackageQueryType()` Returns a new object of class 'Registry Package Query Type'.
`ResponseOptionType` | `createResponseOptionType()` Returns a new object of class 'Response Option Type'.
`ServiceBindingBranchType` | `createServiceBindingBranchType()` Returns a new object of class 'Service Binding Branch Type'.
`ServiceQueryResultType` | `createServiceQueryResultType()` Returns a new object of class 'Service Query Result Type'.
`ServiceQueryType` | `createServiceQueryType()` Returns a new object of class 'Service Query Type'.
`SimpleClauseType` | `createSimpleClauseType()` Returns a new object of class 'Simple Clause Type'.
`SlotBranchType` | `createSlotBranchType()` Returns a new object of class 'Slot Branch Type'.
`SpecificationLinkBranchType` | `createSpecificationLinkBranchType()` Returns a new object of class 'Specification Link Branch Type'.
`StringClauseType` | `createStringClauseType()` Returns a new object of class 'String Clause Type'.
`UserBranchType` | `createUserBranchType()` Returns a new object of class 'User Branch Type'.
`QueryPackage` | `getQueryPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final QueryFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAdhocQueryRequestType

    AdhocQueryRequestType createAdhocQueryRequestType()

  Returns a new object of class 'Adhoc Query Request Type'.

  Returns:
    a new object of class 'Adhoc Query Request Type'.

### createAdhocQueryResponseType

    AdhocQueryResponseType createAdhocQueryResponseType()

  Returns a new object of class 'Adhoc Query Response Type'.

  Returns:
    a new object of class 'Adhoc Query Response Type'.

### createAssociationBranchType

    AssociationBranchType createAssociationBranchType()

  Returns a new object of class 'Association Branch Type'.

  Returns:
    a new object of class 'Association Branch Type'.

### createAssociationQueryResultType

    AssociationQueryResultType createAssociationQueryResultType()

  Returns a new object of class 'Association Query Result Type'.

  Returns:
    a new object of class 'Association Query Result Type'.

### createAssociationQueryType

    AssociationQueryType createAssociationQueryType()

  Returns a new object of class 'Association Query Type'.

  Returns:
    a new object of class 'Association Query Type'.

### createAuditableEventQueryResultType

    AuditableEventQueryResultType createAuditableEventQueryResultType()

  Returns a new object of class 'Auditable Event Query Result Type'.

  Returns:
    a new object of class 'Auditable Event Query Result Type'.

### createAuditableEventQueryType

    AuditableEventQueryType createAuditableEventQueryType()

  Returns a new object of class 'Auditable Event Query Type'.

  Returns:
    a new object of class 'Auditable Event Query Type'.

### createBooleanClauseType

    BooleanClauseType createBooleanClauseType()

  Returns a new object of class 'Boolean Clause Type'.

  Returns:
    a new object of class 'Boolean Clause Type'.

### createClassificationNodeQueryResultType

    ClassificationNodeQueryResultType createClassificationNodeQueryResultType()

  Returns a new object of class 'Classification Node Query Result Type'.

  Returns:
    a new object of class 'Classification Node Query Result Type'.

### createClassificationNodeQueryType

    ClassificationNodeQueryType createClassificationNodeQueryType()

  Returns a new object of class 'Classification Node Query Type'.

  Returns:
    a new object of class 'Classification Node Query Type'.

### createClassificationQueryResultType

    ClassificationQueryResultType createClassificationQueryResultType()

  Returns a new object of class 'Classification Query Result Type'.

  Returns:
    a new object of class 'Classification Query Result Type'.

### createClassificationQueryType

    ClassificationQueryType createClassificationQueryType()

  Returns a new object of class 'Classification Query Type'.

  Returns:
    a new object of class 'Classification Query Type'.

### createClassificationSchemeQueryResultType

    ClassificationSchemeQueryResultType createClassificationSchemeQueryResultType()

  Returns a new object of class 'Classification Scheme Query Result Type'.

  Returns:
    a new object of class 'Classification Scheme Query Result Type'.

### createClassificationSchemeQueryType

    ClassificationSchemeQueryType createClassificationSchemeQueryType()

  Returns a new object of class 'Classification Scheme Query Type'.

  Returns:
    a new object of class 'Classification Scheme Query Type'.

### createClassifiedByBranchType

    ClassifiedByBranchType createClassifiedByBranchType()

  Returns a new object of class 'Classified By Branch Type'.

  Returns:
    a new object of class 'Classified By Branch Type'.

### createClauseType

    ClauseType createClauseType()

  Returns a new object of class 'Clause Type'.

  Returns:
    a new object of class 'Clause Type'.

### createCompoundClauseType

    CompoundClauseType createCompoundClauseType()

  Returns a new object of class 'Compound Clause Type'.

  Returns:
    a new object of class 'Compound Clause Type'.

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createExtrinsicObjectQueryResultType

    ExtrinsicObjectQueryResultType createExtrinsicObjectQueryResultType()

  Returns a new object of class 'Extrinsic Object Query Result Type'.

  Returns:
    a new object of class 'Extrinsic Object Query Result Type'.

### createExtrinsicObjectQueryType

    ExtrinsicObjectQueryType createExtrinsicObjectQueryType()

  Returns a new object of class 'Extrinsic Object Query Type'.

  Returns:
    a new object of class 'Extrinsic Object Query Type'.

### createFilterQueryResultType

    FilterQueryResultType createFilterQueryResultType()

  Returns a new object of class 'Filter Query Result Type'.

  Returns:
    a new object of class 'Filter Query Result Type'.

### createFilterQueryType

    FilterQueryType createFilterQueryType()

  Returns a new object of class 'Filter Query Type'.

  Returns:
    a new object of class 'Filter Query Type'.

### createFilterType

    FilterType createFilterType()

  Returns a new object of class 'Filter Type'.

  Returns:
    a new object of class 'Filter Type'.

### createGetContentRequestType

    GetContentRequestType createGetContentRequestType()

  Returns a new object of class 'Get Content Request Type'.

  Returns:
    a new object of class 'Get Content Request Type'.

### createGetContentResponseType

    GetContentResponseType createGetContentResponseType()

  Returns a new object of class 'Get Content Response Type'.

  Returns:
    a new object of class 'Get Content Response Type'.

### createInternationalStringBranchType

    InternationalStringBranchType createInternationalStringBranchType()

  Returns a new object of class 'International String Branch Type'.

  Returns:
    a new object of class 'International String Branch Type'.

### createOrganizationQueryResultType

    OrganizationQueryResultType createOrganizationQueryResultType()

  Returns a new object of class 'Organization Query Result Type'.

  Returns:
    a new object of class 'Organization Query Result Type'.

### createOrganizationQueryType

    OrganizationQueryType createOrganizationQueryType()

  Returns a new object of class 'Organization Query Type'.

  Returns:
    a new object of class 'Organization Query Type'.

### createRationalClauseType

    RationalClauseType createRationalClauseType()

  Returns a new object of class 'Rational Clause Type'.

  Returns:
    a new object of class 'Rational Clause Type'.

### createRegistryEntryQueryResultType

    RegistryEntryQueryResultType createRegistryEntryQueryResultType()

  Returns a new object of class 'Registry Entry Query Result Type'.

  Returns:
    a new object of class 'Registry Entry Query Result Type'.

### createRegistryEntryQueryType

    RegistryEntryQueryType createRegistryEntryQueryType()

  Returns a new object of class 'Registry Entry Query Type'.

  Returns:
    a new object of class 'Registry Entry Query Type'.

### createRegistryObjectQueryType

    RegistryObjectQueryType createRegistryObjectQueryType()

  Returns a new object of class 'Registry Object Query Type'.

  Returns:
    a new object of class 'Registry Object Query Type'.

### createRegistryPackageQueryResultType

    RegistryPackageQueryResultType createRegistryPackageQueryResultType()

  Returns a new object of class 'Registry Package Query Result Type'.

  Returns:
    a new object of class 'Registry Package Query Result Type'.

### createRegistryPackageQueryType

    RegistryPackageQueryType createRegistryPackageQueryType()

  Returns a new object of class 'Registry Package Query Type'.

  Returns:
    a new object of class 'Registry Package Query Type'.

### createResponseOptionType

    ResponseOptionType createResponseOptionType()

  Returns a new object of class 'Response Option Type'.

  Returns:
    a new object of class 'Response Option Type'.

### createServiceBindingBranchType

    ServiceBindingBranchType createServiceBindingBranchType()

  Returns a new object of class 'Service Binding Branch Type'.

  Returns:
    a new object of class 'Service Binding Branch Type'.

### createServiceQueryResultType

    ServiceQueryResultType createServiceQueryResultType()

  Returns a new object of class 'Service Query Result Type'.

  Returns:
    a new object of class 'Service Query Result Type'.

### createServiceQueryType

    ServiceQueryType createServiceQueryType()

  Returns a new object of class 'Service Query Type'.

  Returns:
    a new object of class 'Service Query Type'.

### createSimpleClauseType

    SimpleClauseType createSimpleClauseType()

  Returns a new object of class 'Simple Clause Type'.

  Returns:
    a new object of class 'Simple Clause Type'.

### createSlotBranchType

    SlotBranchType createSlotBranchType()

  Returns a new object of class 'Slot Branch Type'.

  Returns:
    a new object of class 'Slot Branch Type'.

### createSpecificationLinkBranchType

    SpecificationLinkBranchType createSpecificationLinkBranchType()

  Returns a new object of class 'Specification Link Branch Type'.

  Returns:
    a new object of class 'Specification Link Branch Type'.

### createStringClauseType

    StringClauseType createStringClauseType()

  Returns a new object of class 'String Clause Type'.

  Returns:
    a new object of class 'String Clause Type'.

### createUserBranchType

    UserBranchType createUserBranchType()

  Returns a new object of class 'User Branch Type'.

  Returns:
    a new object of class 'User Branch Type'.

### getQueryPackage

    QueryPackage getQueryPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD